/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
__IMPORT__
	(
	'chrome://mozlib/content/lib/js/asrdf/',
	'parser.js'
	);


//@@@@@@@@@@@@@@@@
function ASRDF_Reader		//<c>abstract<a>public<d>Source line reader
(
_source,	//<p>string<d>Source
_parser		//<p>Object<d>Line parser
){
//================
this.ASRDF_Reader = function		//<m>void<a>private<d>class constructor
(
source,		//<p>string<d>Source
parser		//<p>Object<d>Line parser
){
this.className	= 'ASRDF_Reader';
this.source		= source;
this.parser		= parser;
//i12n
this.count = 0;
}//</m>ASRDF_Reader



//================
this.getError = function		//<m>tring<a>private<d>Get error reporting
(
error,		//<p>Object<d>Parser error descriptor
code,		//<p>string<d>Source code
path		//<p>string<d>Source path --optional
){
return sprintf('PARSING ERROR (%s)\n%s before line %s:\n%s\n%s', error.code, error.message, this.count, code, path ? 'in file: ' + path + '\n' : '');
}//</m>getError



//================
this.get_count = function		//<m>int<a>protected<d>Get the count member (number of lines processed)
(){
return this.count;
}//</m>get_count



this.ASRDF_Reader(_source, _parser);
}//</c>ASRDF_Reader



