/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
//@@@@@@@@@@@@@@@@
function ASSERT_Failure		//<c><a>public<d>Assertion failure class
(
_id,		//<p>string<d>function name and test comment
_found,		//<p>any<d>found value (arg0)
_expected	//<p>string<d>expected value (arg1)
){
//================
this.ASSERT_Failure = function		//<m>void<a>private<d>class constructor
(
id,			//<p>string<d>function name and test comment
found,		//<p>any<d>found value (arg0)
expected	//<p>string<d>expected value (arg1)
){
this.className	= 'ASSERT_Failure';
try{
	var
	/*Object*/stackFrame = Components.stack.caller.caller.caller.caller;	//skip failure.js/assert.js/ -- nsIXPCComponents
	this.filename	= stackFrame.filename;
	this.lineNumber	= stackFrame.lineNumber;
	}
catch(e){
	this.filename	= 'unknow file name';
	this.lineNumber	= 'unknow line number';
	}
this.caller		= this.setCaller(id);
this.comment	= this.setComment(id);
this.found		= new ASSERT_Argument(found);
this.expected	= new ASSERT_Argument(expected);
}//</m>ASSERT_Failure


//================
this.getFound = function		//<m>string<a>protected<d>
(){
return this.found.getArgumentAsText();
}//</m>getFound



this.ASSERT_Failure(_id, _found, _expected);
}//</c>ASSERT_Failure
ASSERT_Failure.prototype = new ASSERT_Abstract_Failure;

