/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
//@@@@@@@@@@@@@@@@
function ASSERT_ReportListener		//<c><a>public<d>Report listener class
(
_reporter		//<p>ASSERT_Reporter<d>Reporter
){
//================
this.ASSERT_ReportListener = function		//<m>void<a>private<d>class constructor
(
reporter		//<p>ASSERT_Reporter<d>Reporter
){
this.className	= 'ASSERT_ReportListener';
this.reporter = reporter;
this.setIn();
}//</m>ASSERT_ReportListener



//================
this.setIn = function		//<m>void<a>private<d>Instance i12n
(){
this.formater	= new ASSERT_ReportFormatter();
this.failures	= [];
}//</m>setIn



//================
this.listen = function		//<m>boolean<a>public<d>
(){
if(this.reporter.isEndReport()) return false;	///stop listening
this.setLastFailures();
return true;	///continue listening
}//</m>listen



//================
this.setLastFailures = function		//<m>void<a>private<d>
(){
var
/*ASSERT_Failure[]*/failures = this.reporter.getFailures();
if(!failures) return;
var
atLevel = this.failures.length;
this.failures = this.failures.concat(failures);
this.setReport(atLevel);
}//</m>setLastFailures



//================
this.setReport = function		//<m>void<a>private<d>
(
atLevel		//<p>int<d>Level index
){
var
/*string*/content = '';
for(var at=atLevel,end=this.failures.length;at<end;at++) content += this.formater.getFormat(this.failures[at], this.getSourceStat(at));
this.reporter.setViewer(content);
}//</m>setReport



//================
this.getLastFailureStat = function		//<m>int<a>private<d>
(
failures		//<p>ASSERT_Failure[]<d>Failure set
){
return failures[failures.length-1].getStat();
}//</m>getLastFailureStat



//================
this.getSourceStat = function		//<m>int<a>private<d>
(
atLevel		//<p>int<d>Level index
){
var
/*int*/at = atLevel;
while((at < this.failures.length-1) && !this.hasNewSource(at+1)) at++;
return this.hasNewSource(atLevel) ? this.failures[at].getStat() : null;
}//</m>getSourceStat



//================
this.hasNewSource = function		//<m>void<a>private<d>
(
at		//<p>int<d>Index
){
return (at==0) ? true : strcmp(this.failures[at].getCaller(), this.failures[at-1].getCaller());
}//</m>hasNewSource



this.ASSERT_ReportListener(_reporter);
}//</c>ASSERT_ReportListener



